import request from '@/utils/request'

// 删除推广
// /inviteReceiptsRole/delete
export function inviteReceiptsRoleDelete({id}) {
  return request({
    url: '/zswl-cloud-bdb/inviteReceiptsRole/delete?id=' + id,
    method: 'get',
  })
}

// 查询详情
// /inviteReceiptsRole/getOne
export function inviteReceiptsRoleGetOne(data) {
  return request({
    url: '/zswl-cloud-bdb/inviteReceiptsRole/getOne',
    method: 'post',
    data
  })
}

// 查询列表
// /inviteReceiptsRole/page
export function inviteReceiptsRolePage(params) {
  return request({
    url: '/zswl-cloud-bdb/inviteReceiptsRole/page',
    method: 'get',
    params
  })
}

// 添加修改
// /inviteReceiptsRole/update
export function inviteReceiptsRoleUpdate(data) {
  return request({
    url: '/zswl-cloud-bdb/inviteReceiptsRole/update',
    method: 'post',
    data
  })
}
// 首页用户数据
// /user/statistics
export function userStatistics(params) {
  return request({
    url: '/zswl-cloud-bdb/user/statistics',
    method: 'get',
    params
  })
}